Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoProfileEdge Class Reference

## Description

Represents a profile edge used in various profile tools.

Note
  Supported with G1, G2

Inheritance diagram for GoProfileEdge:

## Public Member Functions
k64f | GoProfileEdge_DepthMin (GoProfileEdge edge)
| Gets the minimum depth. More...
k64f | GoProfileEdge_EdgeAngle (GoProfileEdge edge)
| Gets the edge angle. More...
k64f | GoProfileEdge_NominalRadius (GoProfileEdge edge)
| Gets the nominal radius. More...
GoProfileRegion | GoProfileEdge_Region (GoProfileEdge edge)
| Gets the profile region. More...
kBool | GoProfileEdge_RegionEnabled (GoProfileEdge edge)
| Indicates whether the region is enabled. More...
kStatus | GoProfileEdge_SetDepthMin (GoProfileEdge edge, k64f depth)
| Sets the minimum depth. More...
kStatus | GoProfileEdge_SetEdgeAngle (GoProfileEdge edge, k64f angle)
| Sets the edge angle. More...
kStatus | GoProfileEdge_SetNominalRadius (GoProfileEdge edge, k64f radius)
| Sets the nominal radius. More...
kStatus | GoProfileEdge_SetSurfaceOffset (GoProfileEdge edge, k64f offset)
| Sets the surface offset. More...
kStatus | GoProfileEdge_SetSurfaceWidth (GoProfileEdge edge, k64f width)
| Sets the surface width. More...
kStatus | GoProfileEdge_SetType (GoProfileEdge edge, GoProfileEdgeType type)
| Sets the profile edge type. More...
kStatus | GoProfileEdge_SetVoidWidthMax (GoProfileEdge edge, k64f width)
| Sets the maximum void width. More...
k64f | GoProfileEdge_SurfaceOffset (GoProfileEdge edge)
| Gets the surface offset. More...
k64f | GoProfileEdge_SurfaceWidth (GoProfileEdge edge)
| Gets the surface width. More...
GoProfileEdgeType | GoProfileEdge_Type (GoProfileEdge edge)
| Gets the profile edge type. More...
k64f | GoProfileEdge_VoidWidthMax (GoProfileEdge edge)
| Gets the maximum void width. More...

The documentation for this class was generated from the following file:

- Tools/GoProfileToolUtils.h